apiVersion: apps/v1beta1
kind: Deployment
metadata:
  name: mysql
  labels:
    app: mysql
spec:
  replicas: 1
  selector:
    matchLabels:
      app: mysql
  template:
    metadata:
      labels:
        app: mysql
    spec:
      containers:
        - image: mysql:latest
          name: mysql
          env:
            - name: MYSQL_ROOT_PASSWORD
              value: "root"
            - name: MYSQL_DATABASE
              value: "elvi-erp"
          ports:
            - containerPort: 3306
              name: mysql
          volumeMounts:
            - name: mysql-pvc-storage
              mountPath: /var/lib/mysql
      volumes:
        - name: mysql-pvc-storage
          persistentVolumeClaim:
            claimName: {{ .Values.database.prefix }}-mysql-pvc
